Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 580364 - sys-apps/udevil-0.4.4-r1 : udevil.c:293:23: error: implicit declaration of function ‘makedev’ [-Werror=implicit-function-declaration]
Summary: sys-apps/udevil-0.4.4-r1 : udevil.c:293:23: error: implicit declaration of fu...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: zlg (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on: 635624
Blocks: glibc-sysmacros
  Show dependency tree
 
Reported: 2016-04-17 18:55 UTC by Toralf Förster
Modified: 2017-11-12 03:22 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-history.txt (emerge-history.txt,357.04 KB, text/plain)
2016-04-17 18:55 UTC, Toralf Förster
Details
environment (environment,113.07 KB, text/plain)
2016-04-17 18:55 UTC, Toralf Förster
Details
sys-apps:udevil-0.4.4-r1:20160417-184102.log (sys-apps:udevil-0.4.4-r1:20160417-184102.log,15.06 KB, text/plain)
2016-04-17 18:55 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-04-17 18:55:30 UTC
This bug report feeds bug #575232 (sys-libs/glibc-2.23.r1 breakage).


x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -DSYSCONFDIR=\""/etc"\"  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_REENTRANT -D_FILE_OFFSET_BITS=64 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -Werror-implicit-function-declaration -march=native -O2 -pipe -c -o udevil-udevil.o `test -f 'udevil.c' || echo './'`udevil.c
udevil.c: In function ‘parse_mounts’:
udevil.c:293:23: error: implicit declaration of function ‘makedev’ [-Werror=implicit-function-declaration]
                 dev = makedev( devmount->major, devmount->minor );
                       ^
udevil.c: In function ‘restore_privileges’:


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-hardened-unstable_20160409-165255) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

  make.conf: USE="mmx sse sse2 pax_kernel -cdinstall -oci8 -bindist -alsa cdda -clang csc curl -custom-cflags -dec_av2 dot extraengine ffmpeg -fontconfig fpm git -gnomecanvas gpg gudev hdf5 -icu imap ipv6 -llvm mod multitarget nscd pwquality python qemu qml qt5 scripts sddm server -sqlite3 ssl system-jpeg system-sqlite tls -uml -vaapi wxwidgets -xa xmp -xz -zip"

  -----------------------------------------------------------------
Portage 2.2.28 (python 3.4.3-final-0, hardened/linux/amd64, gcc-5.3.0, glibc-2.23-r1, 4.4.7-hardened x86_64)
=================================================================
System uname: Linux-4.4.7-hardened-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16157888 total,   3551248 free
KiB Swap:   16777212 total,  16738848 free
Timestamp of repository gentoo: Sun, 17 Apr 2016 16:07:35 +0000
sh bash 4.3_p42-r2
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
ccache version 3.2.4 [disabled]
app-shells/bash:          4.3_p42-r2::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.22.1::gentoo
dev-lang/python:          2.7.11-r2::gentoo, 3.4.3-r7::gentoo, 3.5.1-r2::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.5.2::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.20.5::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r2::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 5.3.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.5::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r1::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage/
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/qpsmtpd/plugins /var/lib/i2pd/certificates /var/yp/Makefile"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--deep --verbose-conflicts --color=n --nospinner --tree --quiet-build --accept-properties=-interactive --accept-restrict=-fetch"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bzip2 cdda cli cracklib crypt csc curl cxx dot dri extraengine ffmpeg fpm gdbm git gpg gudev hardened hdf5 iconv imap ipv6 justify mmx mmxext mod modules multilib multitarget ncurses nls nptl nscd openmp pam pax_kernel pcre pie pwquality python qemu qml qt5 readline scripts sddm seccomp server session sse sse2 ssl ssp system-jpeg system-sqlite tcpd tls unicode urandom wxwidgets xattr xmp xtpax zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-04-17 18:55:35 UTC
Created attachment 431008 [details]
emerge-history.txt
Comment 2 Toralf Förster gentoo-dev 2016-04-17 18:55:38 UTC
Created attachment 431010 [details]
environment
Comment 3 Toralf Förster gentoo-dev 2016-04-17 18:55:41 UTC
Created attachment 431012 [details]
sys-apps:udevil-0.4.4-r1:20160417-184102.log
Comment 4 zlg (RETIRED) gentoo-dev 2016-04-18 17:16:55 UTC
What's the proposed solution? I read the tracker bug discussion and it looks like glibc changes are temporarily on hold? `#include <sys/sysmacros.h>` seems to be a fix for it?

Since there's a lot of churn going on regarding glibc I want to make sure whatever fix I speak about with upstream is something that will be reliable.
Comment 5 zlg (RETIRED) gentoo-dev 2017-01-02 15:40:29 UTC
Pushed to gentoo.git. Upstream is aware of the issue and has a fix planned for 0.4.5.

Commit-ID: 36c87cf957dbabcaccada42ba02570e7a7dd61e8
Comment 6 Andreas K. Hüttel gentoo-dev 2017-10-20 20:22:39 UTC
Ping - this is now blocking glibc-2.25 stabilization.
Comment 7 zlg (RETIRED) gentoo-dev 2017-10-26 07:00:09 UTC
(In reply to Andreas K. Hüttel from comment #6)
> Ping - this is now blocking glibc-2.25 stabilization.

This (fixed) bug appears to be the only open bug for udevil and it's been in tree for quite a while with no other issues. Upstream appears inactive and/or uncertain at present (thus no 0.4.5 yet), but the code works. Shall I make a stabilization bug?
Comment 8 zlg (RETIRED) gentoo-dev 2017-11-12 03:22:56 UTC
udevil-0.4.4-r3 is now stabilized. Closing.